Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 594864

Summary: Determine impact of JCA changes to admin-console
Product: [Other] RHQ Project Reporter: Shelly McGowan <smcgowan>
Component: PluginsAssignee: Ian Springer <ian.springer>
Status: CLOSED WONTFIX QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.0.0CC: ccrouch, ian.springer, jshaughn
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-26 22:18:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 577978    

Description Shelly McGowan 2010-05-21 19:53:47 UTC
Description of problem:
Make sure console for EAP 5.1 accommodates recent JCA changes seen in:
https://jira.jboss.org/browse/JBPAPP-3638
https://jira.jboss.org/browse/JBPAPP-4356

Additional info:
Filing for tracking as more information is needed on the above-referenced changes to determine the impact to admin-console

Comment 1 Ian Springer 2010-05-21 21:41:42 UTC
In git commit fd9f8cd10e12584a6e3650036b65692ff27ba6b2 (bugfixes branch), I changed the def for the use-try-lock prop in the jboss-as-5 lugin descriptor to:

    <c:simple-property name="use-try-lock" type="long" required="false">
        <c:description>
            Any configured timeout, in seconds, for internal locks on the resource adapter objects. A value of 0
            means no timeout. The default is 60.
        </c:description>
    </c:simple-property>

I'm unsure whether I should also change the type of the prop from "long" to "integer". If I do make that change, I'll need to make sure the prop still works with AS 5.1 and EAP 5.0 too.

Comment 2 Corey Welton 2010-09-24 12:36:19 UTC
Ian, can this be closed out?